Subject: Re: [RFC PATCH 01/15] net: qdisc: use rcu prefix and silence sparse warnings

From: John Fastabend <[email-masked]>
Date: Thu, 15 May 2014 14:11:45 -0700

On 05/15/2014 01:41 PM, Paul E. McKenney wrote:
> On Wed, May 14, 2014 at 12:39:12PM -0700, John Fastabend wrote:
>> On 04/30/2014 09:35 AM, John Fastabend wrote:
>>> Add __rcu notation to qdisc handling by doing this we can make
>>> smatch output more legible. And anyways some of the cases should
>>> be using rcu_dereference() see qdisc_all_tx_empty(),
>>> qdisc_tx_chainging(), and so on.
>>>
>>> Signed-off-by: John Fastabend <[email-masked]>
>>> ---
>>
>> Now I'm trying to resolve the lingering sparse errors/warnings and I
>> have one that I'm not sure about. Maybe someone has some insight,
>>
>> net/sched/sch_generic.c:694:9: error: bad constant expression
>> net/sched/sch_generic.c:694:9: error: cannot size expression
>> net/sched/sch_generic.c:751:9: error: bad constant expression
>> net/sched/sch_generic.c:751:9: error: cannot size expression
>> net/sched/sch_generic.c:800:17: error: bad constant expression
>> net/sched/sch_generic.c:800:17: error: cannot size expression
>> net/sched/sch_generic.c:886:9: error: bad constant expression
>> net/sched/sch_generic.c:886:9: error: cannot size expression
>> net/sched/sch_generic.c:908:17: error: bad constant expression
>> net/sched/sch_generic.c:908:17: error: cannot size expression
>
> There is some compiletime_assert_atomic_type() bustage that causes
> errors like this.  There should be a fix on its way in.  Try making
> compiletime_assert_atomic_type() be an empty macro, and if that works,
> help is on the way.
>
> 							Thanx, Paul

OK the empty macro fixed the sparse errors I have. I'll pull in the
fix when I see it.

Thanks,
John

-- 
John Fastabend         Intel Corporation